Subject: Re: [PATCH v2] completion: add new git_complete helper

From: SZEDER Gábor <[email-masked]>
Date: Wed, 18 Apr 2012 00:14:44 +0200

On Tue, Apr 17, 2012 at 11:53:08PM +0300, Felipe Contreras wrote:
> Are you saying that even if there are no real clashes, only
> hypothetical ones, you would still prefer __git_complete?

Can you ascertain that there are no real clashes?

> How are people going to distinguish between public and private functions?

By reading the documentation, perhaps?  It was not a problem for
__git_ps1(), so I guess it won't be a problem for __git_complete()
either.  Assuming that it will be documented eventually, of course.

Best,
Gábor